Subject: Re: virtual anonymous -Reply

From: Scott Nichols <[email-masked]>
Date: Tue, 29 Apr 1997 08:20:46 -0600

Hello,
  I just subscribed to this list server because I have just set up a Linux ftp
server. We needed one machine to respond to 3 separate IP address as if it were
3 separate machines. I used Brian Kramer's patch to setup virtual ftp server's.
It can be found at http://www.westnet.com/providers/multi-wu-ftpd.txt.
Here's the short version:
 1. Setup Virtual IP Addresses
 2. Install Brian's Patch ( patch < multi-wu-ftpd.txt)
 3. I needed to manually change the make file because the patch didn't change
it and because I needed to add an additional to get wu-ftp to compile with
Linux. I changed line 4 from
CFLAGS   = -O2 ${IFLAGS} ${LFLAGS} 
to
CFLAGS   = -O -DVIRTUAL -DDEBUG ${IFLAGS} ${LFLAGS} -DDIRENT_ILLEGAL_ACCESS
 4. build lnx, build install

It works like a charm.

>>> Becki Kain <[email-masked]> 04/28/97 09:21pm >>>
is this a dead issue?  No one replied to my question.  Is no one using
anonymous to two different domains, on the same machines, that dump into
two different anonymous areas?

thanks

On Tue, 22 Apr 1997, Becki Kain wrote:

> I've read http://www.landfield.com/wu-ftpd/docs/anonymous-ftp-faq.html and
> I've done searches on the archive and I still can't find how you do
> multiple anonymous accounts, one for each domain that is virtual.  I have
> the virtual stuff all running and that is fine.  and I have anonymous
> working for my domain, but is there a way of having domain2 log into
> /usr/ftpusers/domain2 and have anonymous goto
> /usr/ftpusers/domain2/ftp/pub?
> 
> thanks
> 
> beckers
> 
> 
>